FIX::HttpParser Class Reference

Parses HTTP messages off an input stream. More...

`#include <HttpParser.h>`

## Public Member Functions

| HttpParser ()
| ~HttpParser ()
bool | readHttpMessage (std::string &str) throw ( MessageParseError )
void | addToStream (const char *str, size_t len)
void | addToStream (const std::string &str)

## Private Attributes

std::string | m_buffer

## Detailed Description

Parses HTTP messages off an input stream.

Definition at line 53 of file HttpParser.h.

## Constructor & Destructor Documentation

## HttpParser()

FIX::HttpParser::HttpParser | ( |  | ) |

inline

Definition at line 73 of file HttpParser.h.

## ~HttpParser()

FIX::HttpParser::~HttpParser | ( |  | ) |

inline

Definition at line 74 of file HttpParser.h.

## Member Function Documentation

## addToStream() [1/2]

void FIX::HttpParser::addToStream | ( | const char * | str,
|  | size_t | len
| ) |  |

inline

Definition at line 79 of file HttpParser.h.

Referenced by FIX::HttpConnection::read().

## addToStream() [2/2]

void FIX::HttpParser::addToStream | ( | const std::string & | str | ) |

inline

Definition at line 81 of file HttpParser.h.

## readHttpMessage()

bool FIX::HttpParser::readHttpMessage | ( | std::string & | str | ) |
throw | ( | MessageParseError
| ) |  |

Definition at line 49 of file HttpParser.cpp.

## Member Data Documentation

## m_buffer

std::string FIX::HttpParser::m_buffer

private

Definition at line 85 of file HttpParser.h.

The documentation for this class was generated from the following files:

- HttpParser.h
- HttpParser.cpp